@ECHO OFF
CLS
ECHO This batch file will add support for the "special" RESxxx functions in 
ECHO    SVGAPB. Please read the "README.NOW" file *BEFORE* applying 
ECHO    this addon.
ECHO.   
ECHO It should *ONLY* be applied if you are using PowerBASIC v3.5 (or 
ECHO    later) to version 2.6 or later (registered or shareware)
ECHO    of SVGAPB. If you have an older version, please download
ECHO    and apply the v2.6 patch first. you can get it here:
ECHO    http://www.zephyrsoftware.com/download/pb26ptch.zip
ECHO.    
ECHO This patch requires the PowerBASIC Library manager (PBTLIB.EXE) to be in 
ECHO    the path or in the current working directory. 
ECHO. 
ECHO This patch also requires that the library file "SVGAPB.LIB" to be in
ECHO    the current directory.
ECHO. 
ECHO Hit CTRL-C *NOW* to abort the patch if the above conditions are not true.
ECHO. 
PAUSE
ECHO.   
ECHO. 
IF EXIST SVGAPB.PBL GOTO DOIT
ECHO.   
ECHO ERROR: Unable to find the file "SVGAPB.PBL". Make sure this patch is run in the
ECHO    same directory as "SVGAPB.PBL" file.
ECHO.   
GOTO ERROR

:DOIT
IF EXIST SVGAPB35.LRF GOTO PATCHIT
ECHO.   
ECHO ERROR: Unable to find the file "SVGAPB35.LRF". Check the patch archive.
ECHO.   
GOTO ERROR

:PATCHIT
COPY SVGAPB.PBL SVGAPB.BKL > NUL
PBTLIB SVGAPB.PBL @SVGAPB35.LRF 
IF NOT ERRORLEVEL 1 GOTO ALLOK
ECHO.   
ECHO ERROR: Some problem with the call to the PBTLIB.EXE program. If you are
ECHO    unable to correct it, please contact us (see the file "README.NOW"
ECHO    complete details and contact information).
GOTO ERROR

:ERROR
ECHO Patch was *NOT* installed.
ECHO Batch file terminated.
GOTO ENDPATCH

:ALLOK
ECHO.
ECHO Patch applied correctly!
ECHO.
ECHO No errors. A backup copy of your original "SVGAPB.PBL" file was created
ECHO    as "SVGAPB.BKL".
GOTO ENDPATCH

:ENDPATCH
ECHO.   

